> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook



## OpenAPI

````yaml /openapi.json put /api/v1/workspace/webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/workspace/webhooks/{webhook_id}:
    put:
      tags:
        - Webhooks
      summary: Update webhook
      operationId: update_webhook_api_v1_workspace_webhooks__webhook_id__put
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookUpdateRequest:
      properties:
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        events:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Events
        name:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Name
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
      type: object
      title: WebhookUpdateRequest
    WebhookResponse:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
        events:
          items:
            type: string
          type: array
          title: Events
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        enabled:
          type: boolean
          title: Enabled
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - url
        - events
        - enabled
        - created_at
        - updated_at
      title: WebhookResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````